# makefile for the dvi-to-(3812 || lj + || lj II || lj IIp ) filter.
#

BINDIR=/usr/local/bin
MANDIR=/usr/man
MANSEC=1

CFLAGS=-O -s -Dunix

# under Ultrix 4.1 use:
CFLAGS=-O1 -s -Dunix

# under AIX 3.1 add the following line:
#LFLAGS=-lbsd

OBJS=findfile.o
HFILES=commands.h config.h
PROGRAMS=dvilj2p dvilj2 dvi3812 dvilj dviljp

all: $(PROGRAMS)

dvi3812: dvi2xx.c ${OBJS} $(HFILES)
	cc ${CFLAGS} -DIBM3812 -o $@ dvi2xx.c ${OBJS} ${LFLAGS}

dvilj2: dvi2xx.c ${OBJS} $(HFILES)
	cc ${CFLAGS} -DLJ -o $@ dvi2xx.c ${OBJS} ${LFLAGS}

dvilj2p: dvi2xx.c ${OBJS} $(HFILES)
	cc ${CFLAGS} -DLJ2P -o $@ dvi2xx.c ${OBJS} ${LFLAGS}

dvilj: dvi2xx.c ${OBJS} $(HFILES)
	cc ${CFLAGS} -DLJ -DSEVENBIT -o $@ dvi2xx.c ${OBJS} ${LFLAGS}

dviljp: dvi2xx.c ${OBJS} $(HFILES)
	cc ${CFLAGS} -DLJ2P -DSEVENBIT -o $@ dvi2xx.c ${OBJS} ${LFLAGS}

findfile.o: findfile.c config.h
	cc ${CFLAGS} -c findfile.c

clean:
	rm -f core $(OBJS) $(PROGRAMS)

shar:
	shar ./dvi2xx.c ./commands.h ./config.h ./findfile.c ./Makefile \
		./testpage.tex ./dvi2xx.history ./dvi2xx.man ./graybox.sty \
		./dvi2xx.make ./dvi2xx.050 ./README > dvi2xx.shar


tar:
	pdtar zcvf dvi2xx.tar.Z ./dvi2xx.c ./commands.h ./config.h \
		./findfile.c ./Makefile ./testpage.tex ./dvi2xx.history \
		./dvi2xx.man ./graybox.sty ./dvi2xx.make ./dvi2xx.050 ./README
	shar dvi2xx.tar.Z > dvi2xx.shar

testfiles:
	./dvilj2 -eftable.lj2 ftable
	./dvilj2p -eftable.lj2p ftable
	./dvi3812 ftab2


install:
	@for f in $(PROGRAMS); do \
		echo installing $$f in $(BINDIR); \
		install -c $$f $(BINDIR); \
	done
	cp dvi2xx.man dvi2xx.$(MANSEC)
	install dvi2xx.$(MANSEC) $(MANDIR)/man$(MANSEC)

txt:
	nroff -man dvi2xx.man | col -b > dvi2xx.txt



